Subject: Re: What's cooking in git.git (Aug 2025, #01; Sun, 3)

From: Junio C Hamano <[email-masked]>
Date: Mon, 04 Aug 2025 17:34:22 -0700

Jeff King <[email-masked]> writes:

> I just left a rather lengthy review of the split-HEAD patch in v4. I
> think hit has a few bugs that we need to address.
>
> I'm not sure if the right answer is to just go back to the v3 version
> that simply rejected the racy HEAD update (since that's more or less
> what happens now and nobody complains).
>
> If we do want to stick with the "silently skip the racy HEAD update"
> strategy from v4, I left some fixes there. But I'd worry more about
> maintainability and regressions in the future. I'm not sure if my hacky
> "pretend the HEAD is this for splitting" patch is something we'd want to
> carry or not. But if so, I think we could at least get a little coverage
> in the test suite.

Between the "honestry admit we failed and reject" and "silently
pretend nothing bad happened", I'd have to say that the former may
be more preferrable, and I hope people would agree.